IF OBJECT_ID('ProblemInCase', 'U') IS NOT NULL
BEGIN
	DECLARE @UpdateRowsCount int = 2000,
	@Sql NVARCHAR(MAX)

	SET @Sql = N'INSERT INTO ProblemInCase (CaseId, ProblemId)
			SELECT DISTINCT [Case].Id, [Case].ProblemId 
			FROM [Case]
				WHERE [Case].ProblemId IS NOT NULL
					AND NOT EXISTS
					(SELECT 
						TOP 1 1 
					FROM  ProblemInCase PIC WITH (NOLOCK)
					WHERE PIC.CaseId = [Case].Id 
						AND PIC.ProblemId = [Case].ProblemId)';

	WHILE 1 = 1
	BEGIN
		BEGIN TRANSACTION
		SET ROWCOUNT @UpdateRowsCount
			EXEC sp_executesql @Sql
		IF @@rowcount = 0 BEGIN
			ROLLBACK TRAN
			BREAK
		END
		SET ROWCOUNT 0
		COMMIT TRANSACTION
	END
END