IF (SELECT TOP (1) 1 FROM SysLic) IS NULL
	RETURN;

DECLARE @sqlText NVARCHAR(MAX);
DECLARE @RecordId UNIQUEIDENTIFIER;
DECLARE	@tableName SYSNAME;
DECLARE tableNameCursor CURSOR LOCAL FOR
	SELECT DISTINCT
		TableName
	FROM tmp_OperationData
	ORDER BY TableName;
OPEN tableNameCursor;
FETCH NEXT FROM tableNameCursor INTO @tableName;
WHILE @@FETCH_STATUS = 0
BEGIN
	IF EXISTS (SELECT TOP (1) 1 FROM sys.tables WHERE name = @tableName)
	BEGIN
		PRINT 'Clear table ' + QUOTENAME(@tableName);
		DECLARE recordIdCursor CURSOR LOCAL FOR
			SELECT
				[RecordId]
			FROM [tmp_OperationData]
			WHERE TableName = @tableName;
		OPEN recordIdCursor;
		FETCH NEXT FROM recordIdCursor INTO @RecordId;
		WHILE @@FETCH_STATUS = 0
		BEGIN
			SET @sqlText = 'DELETE FROM ' + QUOTENAME(@tableName) + ' WHERE Id = ''' + CAST(@RecordId AS NVARCHAR(50)) + '''';
			PRINT @sqlText;
			BEGIN TRY
				EXEC (@sqlText);
			END TRY
			BEGIN CATCH
				PRINT 'There is some problem with SQL "' + @sqlText + '"';
				PRINT ERROR_MESSAGE();
			END CATCH
			FETCH NEXT FROM recordIdCursor INTO @RecordId;
		END
		CLOSE recordIdCursor;
		DEALLOCATE recordIdCursor;
	END
	ELSE
		PRINT 'Skip table ' + QUOTENAME(@tableName);
	FETCH NEXT FROM tableNameCursor INTO @tableName;
END
CLOSE tableNameCursor;
DEALLOCATE tableNameCursor;

IF OBJECT_ID('tmp_OperationData', 'U') IS NOT NULL
	DROP TABLE tmp_OperationData;